svg g {
    animation: 0.5s;
    transition: 0.5s;
}

// pig
.character-pig:before {
    content: "";
    position: absolute;
    left: 20%;
    width: 60%;
    height: 2rem;
    background: #0000001f;
    bottom: 2.4rem;
    border-radius: 50%;
    z-index: -1;
    filter: blur(0.2rem);
}

.character-pig {
    position: absolute;
    bottom: 10%;
    left: 0;
  z-index: -1;
}

.pig-sitting .tail {
    transform-origin: 32% 68%;
}

.character-pig.laughing .pig-sitting .tail {
    transform: rotate(-43deg) scaleX(1);
    animation-name: move-tail;
    animation-duration: 1s;
    animation-delay: 0.5s;
    animation-iteration-count: infinite;
}

@keyframes move-tail {
    0% {
        transform: rotate(-43deg) scaleX(1);
        transform-origin: 32% 68%;
    }
    50% {
        transform: rotate(-13deg) scaleX(1.2);
        transform-origin: 30% 69%;
    }
    100% {
        transform: rotate(-43deg) scaleX(1);
        transform-origin: 32% 68%;
    }
}

.pig-sitting .right-hoof {
    transform-origin: 29% 82%;
}

.character-pig.laughing .pig-sitting .right-hoof {
    transform: scaleX(1.3);
    animation-name: move-hoof;
    animation-duration: .5s;
    animation-delay: 0.5s;
    animation-iteration-count: infinite;
}

@keyframes move-hoof {
    0% {
        transform: scaleX(1.3);
    }
    50% {
        transform: scaleX(1);
    }
    100% {
        transform: scaleX(1.3);
    }
}

.pig-sitting .left-hoof {
    transform-origin: 68% 63%;
}

.character-pig.laughing .pig-sitting .left-hoof {
    transform: rotate(4deg) scaleX(1.3);
    animation-name: move-hoof-left;
    animation-duration: .5s;
    animation-delay: 0.5s;
    animation-iteration-count: infinite;
}

@keyframes move-hoof-left {
    0% {
        transform: rotate(4deg) scaleX(1.3);
    }
    50% {
        transform: rotate(0deg) scaleX(1);
    }
    100% {
        transform: rotate(4deg) scaleX(1.3);
    }
}

.pig-sitting .lower-mouth {
    transform-origin: 0% 34%;
}

.character-pig.laughing .pig-sitting .lower-mouth {
    transform: scaleY(0.5);
    animation-name: laughing;
    animation-duration: .7s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes laughing {
    0% {
        transform: scaleY(0.5);
    }
    10% {
        transform: scaleY(0.9);
    }
    20% {
        transform: scaleY(0.5);
    }
    35% {
        transform: scaleY(1.4);
    }
    40% {
        transform: scaleY(0.5);
    }
    50% {
        transform: scaleY(1.1);
    }
    100% {
        transform: scaleY(0.5);
    }
}

.pig-sitting .head {
    transform-origin: 0% 0%;
}

.character-pig.laughing .pig-sitting .head {
    transform: translateY(10rem);
    animation-name: move-head;
    animation-duration: .5s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes move-head {
    0% {
        transform: translateY(10rem);
    }
    50% {
        transform: translateY(0rem);
    }
    100% {
        transform: translateY(10rem);
    }
}
.pig-sitting .paunch {
    transform-origin: 0% 79%;
}

.character-pig.laughing .pig-sitting .paunch {
    transform: scaleY(0.8);
    animation-name: move-paunch;
    animation-duration: .5s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes move-paunch {
    0% {
        transform: scaleY(0.8);
    }
    50% {
        transform: scaleY(1);
    }
    100% {
        transform: scaleY(0.8);
    }
}
.pig-sitting .right-hand {
    transform-origin: 42% 63%;
}

.character-pig.laughing .pig-sitting .right-hand {
    transform: rotate(-4deg)scaleY(0.8);
    animation-name: move-right-hand ;
    animation-duration: .5s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes move-right-hand {
    0% {
        transform: rotate(-4deg)scaleY(0.8);
    }
    50% {
        transform: rotate(22deg)scaleY(1)translateY(3rem);
    }
    100% {
        transform: rotate(-4deg)scaleY(0.8);
    }
}

.pig-sitting .left-hand {
    transform-origin: 75% 60%;
}

.character-pig.laughing .pig-sitting .left-hand {
    transform: rotate(-4deg)scaleY(0.8);
    animation-name: move-right-hand ;
    animation-duration: .5s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}
.pig-sitting .left-ear {
    transform-origin: 68% 25%;
}

.character-pig.laughing .pig-sitting .left-ear {
    transform: rotate(0deg);
    animation-name: move-left-ear ;
    animation-duration: .9s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes move-left-ear {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(29deg);
    }
    20% {
        transform: rotate(5deg);
    }
    35% {
        transform: rotate(16deg);
    }
    40% {
        transform: rotate(30deg);
    }
    50% {
        transform: rotate(20deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.pig-sitting .right-ear {
    transform-origin: 37% 26%;
}

.character-pig.laughing .pig-sitting .right-ear{
    transform: rotate(0deg);
    animation-name: move-right-ear ;
    animation-duration: .9s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
}

@keyframes move-right-ear {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(-29deg);
    }
    20% {
        transform: rotate(5deg);
    }
    35% {
        transform: rotate(-16deg);
    }
    40% {
        transform: rotate(-30deg);
    }
    50% {
        transform: rotate(-20deg);
    }
    100% {
        transform: rotate(0deg);
    }
}